%define glib_version 2.15.0
%define gtk_version 2.5.4
%define libglade_version 2.0.0
%define libgnome_version 2.14.0
%define eel_version 2.13.3
%define nautilus_version 2.21.5
%define hal_version 0.5.7
%define dbus_version 0.6
%define gconf_version 2.14
%define gnome_mount_version 0.5

Summary: Easy to use CD burning for Gnome
Name: nautilus-cd-burner
Version: 2.24.0
Release: 1%{?dist}
Source0: http://download.gnome.org/sources/nautilus-cd-burner/2.24/%{name}-%{version}.tar.bz2
License: GPLv2+
Group: User Interface/Desktops
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: mkisofs
Requires: cdrecord
%ifnarch s390 s390x
Requires: cdrdao
%endif
Requires: dvd+rw-tools
Requires: hal >= %{hal_version}
Requires: gnome-mount >= %{gnome_mount_version}
Requires: GConf2 >= %{gconf_version}

Requires(post): GConf2 >= %{gconf_version}
Requires(pre): GConf2 >= %{gconf_version}
Requires(preun): GConf2 >= %{gconf_version}

BuildRequires: libgnome-devel >= %{libgnome_version}
BuildRequires: glib2-devel >= %{glib_version}
BuildRequires: gtk2-devel >= %{gtk_version}
BuildRequires: libglade2-devel >= %{libglade_version}
BuildRequires: eel2-devel >= %{eel_version}
BuildRequires: hal-devel >= %{hal_version}
BuildRequires: gnome-mount-devel >= %{gnome_mount_version}
BuildRequires: nautilus-devel >= %{nautilus_version}
BuildRequires: gettext
BuildRequires: desktop-file-utils
BuildRequires: intltool
BuildRequires: perl(XML::Parser) >= 2.31-16

%description
An easy to use CD burning package, well integrated with
Nautilus and the Gnome desktop.

%package devel
Summary: The files needed for nautilus-cd-burner application development
Group: Development/Libraries
Requires: %name = %{version}-%{release}
Requires: gtk2-devel >= %{gtk_version}
Requires: nautilus-devel >= %{nautilus_version}
Requires: pkgconfig

%description devel
The nautilus-cd-burner-devel package contains the libraries and
include files that you can use to develop applications that
use the nautilus-cd-burner library.

%prep
%setup -q

%build
%configure --enable-hal --enable-gnome-mount
make

%install
rm -rf $RPM_BUILD_ROOT
export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
make install DESTDIR=$RPM_BUILD_ROOT
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

desktop-file-install --vendor="" --delete-original \
  --dir=$RPM_BUILD_ROOT%{_datadir}/applications \
  $RPM_BUILD_ROOT%{_datadir}/applications/*.desktop

%find_lang %name

rm $RPM_BUILD_ROOT%{_libdir}/*.la
rm $RPM_BUILD_ROOT%{_libdir}/nautilus/extensions-2.0/*.la

%post
/sbin/ldconfig
update-desktop-database
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :

%pre
if [ "$1" -gt 1 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    gconftool-2 --makefile-uninstall-rule \
      %{_sysconfdir}/gconf/schemas/nautilus-cd-burner.schemas >& /dev/null || :
fi

%postun
/sbin/ldconfig
update-desktop-database
touch --no-create %{_datadir}/icons/hicolor
if [ -x /usr/bin/gtk-update-icon-cache ]; then
  gtk-update-icon-cache -q %{_datadir}/icons/hicolor
fi

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*
%{_libdir}/nautilus/extensions-2.0/*.so*
%{_libdir}/lib*.so.*
%{_bindir}/nautilus-cd-burner
%{_datadir}/nautilus-cd-burner
%{_datadir}/applications/nautilus-cd-burner.desktop
%{_datadir}/applications/nautilus-cd-burner-open-iso.desktop
%{_datadir}/icons/hicolor/*

%files devel
%defattr(-, root, root)
%{_libdir}/lib*.so
%{_libdir}/pkgconfig/*
%{_includedir}/*


%changelog
* Tue Sep 23 2008 Matthias Clasen <mclasen@redhat.com> - 2.24.0-1
- Update to 2.24.0

* Sat Aug 23 2008 Matthias Clasen <mclasen@redhat.com> - 2.23.90-1
- Update to 2.23.90

* Mon Aug 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 2.22.1-2
- fix license tag

* Mon Apr  7 2008 Jon McCann <jmccann@redhat.com> - 2.22.1-1
- Update to 2.22.1

* Wed Mar 19 2008 Jon McCann <jmccann@redhat.com> - 2.22.0-2
- Fix to remove a sync gio call.

* Mon Mar 10 2008 Jon McCann <jmccann@redhat.com> - 2.22.0-1
- Update to 2.22.0

* Wed Jan 30 2008 Matthias Clasen <mclasen@redhat.com> - 2.21.6-1
- Update to 2.21.6

* Mon Jan 21 2008 Jon McCann <jmccann@redhat.com> - 2.21.5-1
- Update to 2.21.5

* Fri Jan 18 2008 Matthias Clasen <mclasen@redhat.com> - 2.20.0-5
- Also call update-desktop-database

* Fri Jan 18 2008 Matthias Clasen <mclasen@redhat.com> - 2.20.0-4
- Add content-type support

* Sun Dec 23 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-3
- Rebuild against new nautilus

* Mon Oct 22 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-2
- Rebuild against new dbus-glib

* Mon Sep 17 2007 Matthias Clasen <mclasen@redhat.com> - 2.20.0-1
- Update to 2.20.0

* Tue Aug 28 2007 Fedora Release Engineering <rel-eng at fedoraproject dot org> - 2.19.6-2
- Rebuild for selinux ppc32 issue.

* Mon Jul 30 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.6-1
- Update to 2.19.6

* Sun May 20 2007 Matthias Clasen <mclasen@redhat.com> - 2.19.1-1
- Update to 2.19.1

* Tue Apr  3 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-2
- Add an explicit --vendor, to pacify older desktop-file-utils

* Tue Mar 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.18.0-1
- Update to 2.18.0
- Use desktop-file-install

* Tue Feb 27 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.8-1
- Update to 2.17.8

* Tue Feb 13 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.7-3
- Update to 2.17.7

* Wed Jan 31 2007 Alexander Larsson <alexl@redhat.com> - 2.17.6-2
- Disable cdrdao on s390x (its not availible)

* Wed Jan 22 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.6-1
- Update to 2.17.6

* Wed Jan 10 2007 Matthias Clasen <mclasen@redhat.com> - 2.17.5-1
- Update to 2.17.5

* Tue Dec 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.4-1
- Update to 2.17.4

* Tue Dec  5 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.3-1
- Update to 2.17.3

* Mon Nov  6 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.2-1
- Update to 2.17.2

* Fri Nov  3 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.1-2
- Silence %%pre 

* Sat Oct 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.17.1-1
- Update to 2.17.1

* Wed Oct 18 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-4
- Fix scripts according to the packaging guidelines

* Tue Oct  3 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-3
- Don't require cdrdao on s390 where it doesn't exist

* Mon Oct  2 2006 Alexander Larsson <alexl@redhat.com> - 2.16.0-2
- Require cdrdao (#208668)

* Mon Sep  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.16.0-1
- Update to 2.16.0

* Mon Sep  4 2006 Alexander Larsson <alexl@redhat.com> - 2.15.7-2
- Require dvd+rw-tools (#186738)

* Mon Aug 21 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.7-1.fc6
- Update to 2.15.7
- Require pkgconfig in the -devel package

* Sat Aug 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.6-1.fc6
- Update to 2.15.6

* Fri Aug  4 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.5-1.fc6
- Update to 2.15.5

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-3
- Don't use deprecated dbus api

* Wed Jul 19 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-2
- Rebuild against dbus

* Wed Jul 12 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.4-1
- Update to 2.15.4

* Wed Jul 12 2006 Jesse Keating <jkeating@redhat.com> - 2.15.3-1.1
- rebuild

* Tue Jun 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.3-1
- Update to 2.15.3

* Mon May 29 2006 Alexander Larsson <alexl@redhat.com> - 2.15.2-3
- Fix schema name (#193325)

* Fri May 26 2006 Jeremy Katz <katzj@redhat.com> - 2.15.2-2
- builds on s390 now

* Wed May 17 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.2-1
- Update to 2.15.2

* Wed May 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.15.1-1
- Update to 2.15.1

* Mon Apr 10 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.1-2
- Update to 2.14.1

* Mon Mar 13 2006 Ray Strode <rstrode@redhat.com> - 2.14.0.1-1
- Update to 2.14.0.1

* Mon Mar 13 2006 Matthias Clasen <mclasen@redhat.com> - 2.14.0-1
- Update to 2.14.0

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-2
- Add a Req for gnome-mount 

* Mon Feb 27 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.92-1
- Update to 2.13.92
- Drop upstreamed patch
- Add BuildReq for gnome-mount

* Fri Feb 24 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-2
- Fix a problem with writing iso images (#182358)

* Wed Feb 15 2006 Matthias Clasen <mclasen@redhat.com> - 2.13.91-1
- Update to 2.13.91

* Fri Feb 10 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.2
- bump again for double-long bug on ppc(64)

* Tue Feb 07 2006 Jesse Keating <jkeating@redhat.com> - 2.13.90-1.1
- rebuilt for new gcc4.1 snapshot and glibc changes

* Mon Jan 30 2006 Matthias Clasen <mclasen@redhat.com> 2.13.90-1
- Update to 2.13.90

* Tue Jan 17 2006 Matthias Clasen <mclasen@redhat.com> 2.13.5-1
- Update to 2.13.5

* Tue Jan 03 2006 Matthias Clasen <mclasen@redhat.com> 2.13.4-1
- Update to 2.13.4

* Thu Dec 15 2005 Matthias Clasen <mclasen@redhat.com> 2.13.3-1
- Update to 2.13.3

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Fri Dec  2 2005 Matthias Clasen <mclasen@redhat.com>  2.13.2-1
- Update to 2.13.2

* Thu Dec 01 2005 John (J5) Palmieri <johnp@redhat.com> - 2.12.1-2
- rebuild for new dbus

* Thu Oct  6 2005 Matthias Clasen <mclasen@redhat.com>  2.12.1-1
- Update to 2.12.1

* Wed Sep  7 2005 Matthias Clasen <mclasen@redhat.com>  2.12.0-1
- Update to 2.12.0

* Tue Aug 16 2005 Matthias Clasen <mclasen@redhat.com> 
- New upstream version

* Fri Aug  5 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.5-1
- New upstream version

* Mon Jul 11 2005 Matthias Clasen <mclasen@redhat.com> - 2.11.4-1
- Newer upstream version
- Link against libstdc++. The hack doesn't really work

* Wed Apr 13 2005 David Zeuthen <davidz@redhat.com> - 2.10.0-3
- Fix Requires for -devel package (#152505)

* Sat Mar 19 2005 Florian La Roche <laroche@redhat.com>
- "," is no delim for ExcludeArch

* Fri Mar 11 2005 John (J5) Palmieri <johnp@redhat.com> 2.10.0-1
- Update to 2.10.0
- exclude s390 and s390x from build

* Mon Mar  7 2005 David Zeuthen <davidz@redhat.com> 2.9.8-2
- Build with patches for new hal/dbus API and fix locking of drive

* Thu Mar  3 2005 Alex Larsson <alexl@redhat.com> 2.9.8-1
- Update to 2.9.8

* Wed Feb  9 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.6-1
- Update to 2.9.6

* Mon Jan 31 2005 Matthias Clasen <mclasen@redhat.com> - 2.9.5-1
- Update to 2.9.5

* Wed Oct 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-6
- Make user own the dirs in burn:/// (#135151)

* Tue Oct 12 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-5
- Make unmount patch slighly better

* Fri Oct  8 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-4
- Add patch to unmount if needed (#107544)

* Thu Oct  7 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-3
- try to build on s390

* Wed Sep 29 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-2
- run ldconfig in post/postun

* Thu Sep 23 2004 Alexander Larsson <alexl@redhat.com> - 2.8.3-1
- Upgrade to 2.8.3 to get rid of cvs backport patch

* Wed Sep 22 2004 Alexander Larsson <alexl@redhat.com> - 2.8.2-1
- Update to 2.8.2
- Remove old upstreamed patches
- make new cvs backport patch

* Tue Sep 21 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-4
- Lock devices using hal when burning

* Mon Sep 20 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-3
- fix up is_rewritable patch to not change api

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-2
- Add patch to detect rewritable discs on older drives

* Fri Sep 17 2004 Alexander Larsson <alexl@redhat.com> - 2.8.1-1
- update to 2.8.1
- Add fixes patch to fix some small details
- Add asserts patch to not assert if mmc profiling fails (#132479, #132645)
- Add patch that makes n-c-b use hal to get media type
- Enable hal support

* Wed Sep 15 2004 Alexander Larsson <alexl@redhat.com> - 2.8.0-1
- update to 2.8.0
- backport cvs fixes

* Thu Aug 19 2004 Alex Larsson <alexl@redhat.com> 2.7.6-1
- update to 2.7.6

* Thu Aug 12 2004 Alexander Larsson <alexl@redhat.com> - 2.7.5-1
- update to 2.7.5

* Tue Jun 15 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May  4 2004 Alex Larsson <alexl@redhat.com> 2.6.0-2
- Open the right help file (#121476)

* Thu Apr  1 2004 Alex Larsson <alexl@redhat.com> 2.6.0-1
- update to 2.6.0

* Wed Mar 10 2004 Alexander Larsson <alexl@redhat.com> 0.6.6-1
- update to 0.6.6

* Tue Mar 02 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Fri Feb 13 2004 Alexander Larsson <alexl@redhat.com> 0.6.5-1
- update to 0.6.5

* Fri Jan 30 2004 Alexander Larsson <alexl@redhat.com> 0.6.4-1
- update to 0.6.4

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-2
- update file list

* Tue Jan 27 2004 Jonathan Blandford <jrb@redhat.com> 0.6.3-1
- new version

* Mon Oct 13 2003 Alexander Larsson <alexl@redhat.com> 0.5.3-1
- Update to final gnome 2.4 release
- Has one crash fix and new translations

* Wed Aug 20 2003 Alexander Larsson <alexl@redhat.com> 0.5.0-1
- update for gnome 2.3

* Thu Jul 10 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-3
- Add eel2-devel and gettext buildrequires

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Tue May 27 2003 Alexander Larsson <alexl@redhat.com> 0.4.3-1
- Update to 0.4.3

* Mon May 19 2003 Alexander Larsson <alexl@redhat.com> 0.4.2-1
- Update to 0.4.2

* Mon Jan 27 2003 Alexander Larsson <alexl@redhat.com> 0.3.2-1
- Update to 0.3.2

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 14 2003 Alexander Larsson <alexl@redhat.com> 0.3.1-1
- Update to 0.3.1

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-2
- Langify

* Fri Jan 10 2003 Alexander Larsson <alexl@redhat.com> 0.3-1
- Update to 0.3

* Mon Dec 16 2002 Tim Powers <timp@redhat.com> 0.2-2
- rebuild

* Fri Dec 13 2002 Alexander Larsson <alexl@redhat.com> 0.2-1
- Update to 0.2

* Mon Dec  9 2002 Alexander Larsson <alexl@redhat.com> 0.1-3
- Added mkisofs and cdrecord dependencies

* Thu Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-2
- run make in build

* Wed Dec  5 2002 Alexander Larsson <alexl@redhat.com> 0.1-1
- Initial build.


